## ffmpeg 3.0.2

=== debian/changelog ===
ffmpeg (7:3.0.2-1ubuntu3) yakkety; urgency=medium

  * debian/patches/0001-tests-checkasm-pixblockdsp-Test-8-byte-aligned-posit.patch:
    Cherry-pick patch from upstream to fix tests on armhf (on arm64, as our
    builders are) (LP: #1612058).

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 11 Aug 2016 11:16:17 +0100

ffmpeg (7:3.0.2-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild against libwebp6

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 08 Aug 2016 13:12:37 +0100

ffmpeg (7:3.0.2-1ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Compile with -O2 rather than -O3 on s390x, to work around
      https://bugs.launchpad.net/bugs/1526324.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2016 13:50:07 +0100

ffmpeg (7:3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #823633).
  * debian/patches/lavf-mpegts-Return-small-probe-score-for-very-short-.patch:
    Upstream patch to fix regression in aac in mpegts. (Closes: #823098)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 May 2016 19:53:57 +0200

ffmpeg (7:3.0.1-3ubuntu2) yakkety; urgency=medium

  * lavf/mpegts: Return small probe score for very short transport streams,
    fixing autopkgtests (patch from Carl Eugen Hoyos; see Debian #823098).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 18:00:41 +0100

ffmpeg (7:3.0.1-3ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Compile with -O2 rather than -O3 on s390x, to work around
      https://bugs.launchpad.net/bugs/1526324.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Apr 2016 13:13:17 +0100

ffmpeg (7:3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Apr 2016 19:24:37 +0200

ffmpeg (7:3.0.1-2) experimental; urgency=medium

  * debian/control: Let libavcodec-extra depend on an existing package.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Apr 2016 20:26:41 +0200

ffmpeg (7:3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/*.install.powerpc: Remove extra -ffmpeg from filenames.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Apr 2016 17:51:27 +0200

ffmpeg (7:3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * SONAME bump and no longer add -ffmpeg to SONAMES.
  * debian/{rules,control}: Use automatic debug symbol packages.
  * debian/patches/{build-make-out-of-tree-builds-bit-identical-to-in-tr,
    doc-make-apidoc-output-independent-of-SRC_PATH}.patch: Removed, included
    upstream.
  * debian/missing-sources/ffmpeg-web/src/less/style.less: Update from GitHub.
  * debian/copyright: Update copyright years and add new copyright holders.
  * debian/rules:
    - Honor nocheck.
    - Simplify CPU check.
    - No longer build with --enable-libvo_aacenc.
    - Update use of --disable-mipsdspr1.
    - Build with --enable-chromaprint and --enable-librubberband.
    - Do not run tests for -indep builds.
    - Always fail loop on error.
  * debian/control:
    - Update Vcs-Git.
    - New Build-Depends: libchromaprint-dev, librubberband-dev.
    - Removed Build-Depends: libvo-aacenc-dev.
    - Update Description.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Mar 2016 01:58:44 +0100
