## ffmpeg 3.0.7

=== debian/changelog ===
ffmpeg (7:3.0.7-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * Import new upstream bugfix release 3.0.7. (LP: #1664402)
    Fixes CVE-2016-9561, CVE-2017-5024 and CVE-2017-5025.
  * Add new av_image_check_size2 symbol to libavutil55.symbols.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 14 Feb 2017 00:46:22 +0100

ffmpeg (7:3.0.5-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream bugfix release 3.0.5. (LP: #1648265)
    Fixes CVE-2016-5199, CVE-2016-6164 and CVE-2016-6881.
  * Drop patch included upstream:
    lavf-mpegts-Return-small-probe-score-for-very-short-.patch
  * Add avpriv_codec_get_cap_skip_frame_fill_param to symbols file.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Thu, 08 Dec 2016 01:39:03 +0100
