## ffmpeg 3.2.4

=== debian/changelog ===
ffmpeg (7:3.2.4-1build2) zesty; urgency=medium

  * No-change rebuild against latest libbluray

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2017 07:28:02 -0500

ffmpeg (7:3.2.4-1build1) zesty; urgency=medium

  * No-change rebuild against libx265-110.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 19 Feb 2017 16:57:24 +0100

ffmpeg (7:3.2.4-1) unstable; urgency=medium

  * Import new upstream bugfix release 3.2.4.
     - Fixes CVE-2016-9561, CVE-2017-5024 and CVE-2017-5025.
  * Drop patches, included upstream:
     - lavf-chromaprint-Update-for-version-1.4.patch
     - libopenmpt-add-missing-avio_read-return-value-check.patch
     - swscale-save-ebx-register-when-it-is-not-available.patch

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 10 Feb 2017 22:24:45 +0100

ffmpeg (7:3.2.2-2) unstable; urgency=medium

  * Cherry-pick patches from upstream:
     - Fix building with chromaprint 1.4. (Closes: #851026)
     - Fix building with --disable-pic on gcc-4.8.
     - Fix heap-buffer-overflows when using libopenmpt.
  * Re-enable chromaprint on sh4 and libx264 on powerpcspe.
  * Update packaging copyright years.
  * Switch from libmodplug to libopenmpt. (Closes: #849840)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 21 Jan 2017 22:39:40 +0100

ffmpeg (7:3.2.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 3.2.2.
  * Fix log messages in autopkgtest.
  * Enable frei0r on powerpcspe.
  * Drop --disable-tesseract.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 06 Dec 2016 23:58:20 +0100

ffmpeg (7:3.2.1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Call dh_auto_install with -a/-i for -arch and for -indep targets
    respectively

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 3.2.1.
  * Don't enable x11grab, which has been replaced with xcb.
  * Add build-dependency on autodetected libxcb-shm0-dev. (Closes: #843144)
  * Add explicit build-dependencies for autodetected features.
  * Remove patches, fixed upstream.
     - Revert-avformat-hls-Fix-missing-streams-in-some-case.patch
     - apng-use-side-data-to-pass-extradata-to-muxer.patch
     - doc-fix-spelling-errors.patch
     - pixblockdsp-disable-altivec-optimizations-on-ppc64be.patch
  * Disable libschroedinger entirely. (see #845037)
  * Enable omx.
  * Update build-dependencies for some ports.
     - m68k: enable chromaprint
     - powerpcspe: enable chromaprint, openal, opencv
     - sh4: disable chromaprint
  * Add streamcopy testing to the autopkgtest.
  * Update encdec_list.txt.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 26 Nov 2016 23:44:53 +0100

ffmpeg (7:3.2-2) unstable; urgency=medium

  * Fix FTBFS on powerpc and arch-independent build.
  * Add patch to fix test failures on ppc64.
    - pixblockdsp-disable-altivec-optimizations-on-ppc64be.patch

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 01 Nov 2016 00:42:03 +0100

ffmpeg (7:3.2-1) unstable; urgency=medium

  * Import new major upstream release 3.2.
  * Drop patches, included upstream:
    - ffmpeg_opt-Suggest-to-use-file-.-if-a-protocol-was-not-fo.patch
    - lavf-mp3enc-write-encoder-delay-padding-upon-closing.patch
    - doc-fix-spelling-errors.patch
    - faq-use-relative-links-to-own-documentation.patch
    - tests-checkasm-pixblockdsp-Test-8-byte-aligned-positions.patch
  * Switch to SDL 2.
  * Update comments in debian/rules and drop cruft.
  * Update debian/copyright.
  * Add patches to fix autopkgtest failures and spelling errors:
    - apng-use-side-data-to-pass-extradata-to-muxer.patch
    - Revert-avformat-hls-Fix-missing-streams-in-some-case.patch
    - doc-fix-spelling-errors.patch
  * Update debian/tests_encdec_list.txt.
  * Build static libraries without -fPIC as required by policy 10.2.
  * Disable uninstallable BDs on m68k and powerpcspe:
    - powerpcspe: openal, netcdf, frei0r, opencv, x264 and chromaprint.
    - m68k: chromaprint
  * Avoid needlessly re-running configure.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 30 Oct 2016 10:15:11 +0100

ffmpeg (7:3.1.5-1) unstable; urgency=medium

  * Import new upstream bugfix release 3.1.5.
  * Use nasm instead of yasm.
    - Unlike yasm it is actively maintained upstream.
    - And it doesn't embed the full build path as DW_AT_comp_dir.
      (This should make ffmpeg fully reproducible.)
  * Drop patches, fixed differently upstream:
    - disable-opj-static.patch
    - libopenjpegenc-recreate-image-data-buffer.patch
  * Add patches from upstream:
     - doc-fix-spelling-errors.patch (Closes: #839542)
     - faq-use-relative-links-to-own-documentation.patch (Closes: #841501)
     - ffmpeg_opt-Suggest-to-use-file-.-if-a-protocol-was-not-fo.patch
       (Closes: #785690)
     - lavf-mp3enc-write-encoder-delay-padding-upon-closing.patch
       (Closes: #797965)
     - tests-checkasm-pixblockdsp-Test-8-byte-aligned-positions.patch
       (LP: #1612058)
  * Use debhelper compat 10.
     - Parallel building is now the default.
  * Revert: Enable all hardening options except pie.
     - It doesn't have any effect, anyway.
     - PIE is now the default.
  * Adapt lintian overrides to PIE by default.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 22 Oct 2016 22:33:02 +0200

ffmpeg (7:3.1.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Disable librtmp support, because the built-in RTMP support is better.

  [ Andreas Cadhalpun ]
  * Import new upstream bugfix release 3.1.4.
     - Fixes CVE-2016-7122, CVE-2016-7450, CVE-2016-7502, CVE-2016-7555,
       CVE-2016-7562, CVE-2016-7785 and CVE-2016-7905. (Closes: #840434)
  * Fix typos.
  * Replace libopencv-dev build-dependency with libopencv-imgproc-dev.
  * Improve build-time optimization for libavfilter-extra.
  * Mention sofalizer in libavfilter-extra6 description.
  * Remove redundant nocheck test.
  * Add libopenjpegenc-recreate-image-data-buffer.patch to fix autopkg
    test crashes.

