=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
  Alexander Strasser <eclipse7@gmx.net>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -20,7 +19,7 @@
  node-less
 Build-Depends:
 # needed for dh
- debhelper (>= 9.20141010),
+ debhelper (>= 10),
 # for build-profile support
  dpkg-dev (>= 1.17.14),
 # --enable-libflite
@@ -47,6 +46,8 @@
  libcrystalhd-dev [amd64 i386],
 # --enable-libdc1394
  libdc1394-22-dev [linux-any],
+# --enable-libebur128
+ libebur128-dev,
 # --enable-libfontconfig
  libfontconfig1-dev,
 # --enable-libfreetype
@@ -67,36 +68,38 @@
  libavc1394-dev [linux-any],
 # autodetected: indev 'jack'
  libjack-jackd2-dev,
+# missing dependency of libtesseract-dev #836849
+ libleptonica-dev,
 # autodetected for the tiff decoder
  liblzma-dev,
-# --enable-libmodplug
- libmodplug-dev,
 # --enable-libmp3lame
  libmp3lame-dev,
+# --enable-netcdf
+ libnetcdf-dev [!powerpcspe],
 # --enable-openal
  libopenal-dev,
+# --enable-omx
+ libomxil-bellagio-dev,
 # --enable-libopencore_amrnb
  libopencore-amrnb-dev,
 # --enable-libopencore_amrwb
  libopencore-amrwb-dev,
 # --enable-libopencv
- libopencv-dev <!stage1>,
+ libopencv-imgproc-dev <!stage1>,
 # --enable-libopenjpeg
- libopenjpeg-dev,
+ libopenjp2-7-dev,
+# --enable-libopenmpt
+ libopenmpt-dev,
 # --enable-libopus
  libopus-dev,
 # --enable-libpulse
  libpulse-dev,
 # --enable-librubberband
  librubberband-dev,
-# --enable-librtmp
- librtmp-dev,
-# --enable-libschroedinger
- libschroedinger-dev,
 # autodetected: protocol 'sctp'
  libsctp-dev [linux-any],
-# autodetected: SDL support
- libsdl-dev,
+# --enable-sdl2
+ libsdl2-dev,
 # --enable-libshine
  libshine-dev (>= 3.0.0),
 # --enable-libsnappy
@@ -107,6 +110,8 @@
  libspeex-dev,
 # --enable-libssh
  libssh-gcrypt-dev,
+# --enable-libtesseract (used only in -extra flavor)
+ libtesseract-dev,
 # --enable-libtheora
  libtheora-dev,
 # --enable-libtwolame
@@ -129,17 +134,23 @@
 # --enable-libwebp
  libwebp-dev,
 # --enable-libx264
- libx264-dev [!sparc64] <!stage1>,
+ libx264-dev <!stage1>,
 # --enable-libx265
- libx265-dev,
-# --enable-x11grab
- libxext-dev,
+ libx265-dev (>= 1.8),
+# autodetected libxcb-shape
+ libxcb-shape0-dev,
+# autodetected libxcb-shm
+ libxcb-shm0-dev,
+# autodetected libxcb-xfixes
+ libxcb-xfixes0-dev,
+# autodetected xlib
+ libxv-dev,
 # --enable-libxvid
  libxvidcore-dev,
 # autodetected: decoder 'mpeg_xvmc'; outdev 'xv'
  libxvmc-dev,
 # --enable-libzmq
- libzmq3-dev [!hurd-any],
+ libzmq3-dev,
 # --enable-libzvbi
  libzvbi-dev,
 # The opencl API is considered experimental.
@@ -150,7 +161,9 @@
 # HTML documentation
  texinfo,
 # assembler optimizations
- yasm
+ nasm,
+# autodetected zlib
+ zlib1g-dev
 
 Package: ffmpeg
 Architecture: any
@@ -204,7 +217,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -233,7 +245,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library with additional de/encoders for audio/video codecs
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -282,8 +293,6 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts:
- libavcodec-libav-dev
 Depends:
  libavcodec57 (= ${binary:Version}) | libavcodec-extra57 (= ${binary:Version}),
  libavutil-dev (= ${binary:Version}),
@@ -314,7 +323,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library for handling input and output devices - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -331,8 +339,6 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Conflicts:
- libavdevice-libav-dev
 Depends:
  libavcodec-dev (= ${binary:Version}),
  libavdevice57 (= ${binary:Version}),
@@ -365,10 +371,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Breaks: libavutil-ffmpeg54 (>= 8:0)
 Description: FFmpeg library containing media filters - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
- machines have created. It supports the most obscure ancient formats up to the
- cutting edge.
- .
